<div class="content">

  <h3 class="title is-3 has-text-centered has-text-dark" [textContent]="contributorsModuleName"></h3>

  <div *ngIf="contributorsModuleData || contributorsCommits; else loadingBloc" class="columns">

    <div class="column is-3">
      <div *ngIf="contributorsModuleData; else loadingContributorBloc" class="content">

        <article *ngFor="let contributor of contributorsModuleData" class="media">
          <figure class="media-left">
            <p class="image is-48x48 is-desktop">
              <img class="is-rounded" [src]="contributor.avatar">
            </p>
          </figure>
          <div class="media-content">
            <div class="content">
              <p>
                <a class="button is-primary is-outlined is-fullwidth is-small" (click)="selectContributor(contributor)">
                  <strong>{{ contributor.name }}</strong>
                </a>
                <small class="has-text-grey">@{{ contributor.username }}</small>
              </p>
            </div>

            <nav class="level is-mobile">

              <div class="level-left ">

                <a class="level-item " (click)="showContributorCommitsModal(contributor)">
                  <div class="is-size-7 has-tooltip">
                    <span><i class="fas fa-genderless is-primary"></i> {{ contributor.commitsCount }}</span>
                    <span class="is-tooltip">Commits count</span>
                  </div>
                </a>

                <app-commits-modal
                  *ngIf="isContributorCommitsModalActive()"
                  [contributorName]="contributorModalInput.name"
                  [commits]="commitsModalInput"
                  (hideCommitsModal)="hideContributorCommitsModal()">
                </app-commits-modal>

                <a class="level-item">
                  <div class="is-size-7 has-tooltip">
                    <i class="far fa-clone"></i> {{ contributor.issuesCount}}
                    <span class="is-tooltip">Issues count</span>
                  </div>
                </a>

                <a class="level-item is-primary">
                  <div class="is-size-7 has-tooltip">
                    <i class="far fa-clone "></i> {{ contributor.openIssuesCount}}
                    <span class="is-tooltip">Open issues count</span>
                  </div>
                </a>

                <a class="level-item">
                  <div class="is-size-7 has-tooltip has-text-primary">
                    <a [href]="contributor.webUrl"><i class="fas fa-external-link-square-alt"></i></a>
                    <span class="is-tooltip">Gitlab profile</span>
                  </div>
                </a>
              </div>

            </nav>

          </div>
        </article>

      </div>

      <ng-template #loadingContributorBloc>
        <a class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
      </ng-template>

    </div>

    <div class="column">

      <app-contributors-chart *ngIf="contributorsCommits; else loadCommitsBloc" [commits]="contributorsCommits"></app-contributors-chart>
      <app-contributor-chart *ngIf="contributorSelected && contributorCommits; else noContribSelectBloc" [contributorName]="contributorSelected.name" [commits]="contributorCommits"></app-contributor-chart>
      <ng-template #noContribSelectBloc>
        <div class="content no-contributor-select-bloc">
          <h4 class="subtitle is-4 has-text-primary" style="color: #80c2ff">Select a contributor on the left to see his details</h4>
        </div>
      </ng-template>
      <ng-template #loadCommitsBloc>
        <a class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
      </ng-template>

    </div>

  </div>

  <ng-template #loadingBloc>
    <a *ngIf="!errorLoadingContributors; else errorLoadingContributorsBloc" class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
    <ng-template #errorLoadingContributorsBloc>
      <div class="notification is-danger">
        {{ errorLoadingContributors }}
      </div>
    </ng-template>
  </ng-template>

</div>
